/*
 * Copyright (C) 2006-2013 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file stdin.h The standard in task structure. */

/** The task structure used for reading from stdin. */
struct stdin_task {
	/** The task structure. */
	struct task task;
	/** Stdin is always the root of a buffer tree. */
	struct btr_node *btrn;
	/** Use a buffer pool to minimize memcpy due to alignment problems. */
	struct btr_pool *btrp;
	/** The descriptor flags of STDIN at startup. */
	int fd_flags;
	/** Whether we have to set STDIN to nonblocking mode. */
	bool must_set_nonblock_flag;
};

void stdin_set_defaults(struct stdin_task *sit);
